Inventory Status
Frequency:
Status data of an inventory process.
Expected data:
Inventory status document and inventory results.
Technical:
GET https://{url}/v1/inventory/{inventoryId}/status
Retrieve the status and results of an inventory.
Response Body
The response contains the inventory status, dates, custom data, and counted articles.
Top-level response fields:
| Name | Type | Required | Description |
|---|---|---|---|
| success | boolean | Yes | Whether the operation succeeded |
| message | string | No | Error message, if applicable |
| errors | string[] | No | Additional error messages, if present |
| data | object | Yes | Inventory data object |
Inventory data object (inside data):
| Name | Type | Required | Description |
|---|---|---|---|
| inventory_id | integer | Yes | Inventory unique identifier |
| status_id | integer | Yes | Inventory status: 1 - Requested, 3 - Completed, 4 - Cancelled |
| status | string | Yes | Inventory status name |
| requested | string | Yes | Inventory request date and time (in format '2025-04-15T12:51:34') |
| started | string | Yes | Inventory start date and time (in format '2025-04-15T12:51:34') |
| completed | string | Yes | Inventory completion date and time (in format '2025-04-15T12:51:34') |
| data | object | Yes | A data object with a flexible structure, linked to an inventory, which was received from the ERP during the Inventory Request |
| articles | array | No | Array of counted article objects |
Article object (inside articles array):
| Name | Type | Required | Description |
|---|---|---|---|
| article_id | string | Yes | Article unique identifier in ERP |
| quantity | number | Yes | Inventory quantity |
| quantity_unit_id | string | Yes | Quantity unit of measure |
| data | object | No | A data object with a flexible structure that represents a specific article in inventory, which was received during the Inventory Request. The contents of this object are generated by the ERP system. |
Response
200: OK — Success
{
"success": true,
"message": null,
"errors": null,
"data": {
"inventory_id": 3,
"status_id": 3,
"status": "Completed",
"requested": "2021-05-26T12:35:45",
"started": "2021-05-26T14:08:34",
"completed": "2021-05-26T18:42:20",
"data": {
"templateId": "Example Template ID",
"Batch": "123321",
"Notes": "Some text",
"any_field": "any value"
},
"articles": [
{
"article_id": "0001",
"quantity": 5.000,
"quantity_unit_id": "GAB",
"data": {
"line_number": "10000",
"any_field": "any value"
}
},
{
"article_id": "T95380",
"quantity": 3.000,
"quantity_unit_id": "GAB",
"data": {
"line_number": "60000",
"any_field": "any value"
}
}
]
}
}
400: Bad Request — Error
{
"success": false,
"message": "Inventory not found",
"errors": []
}